Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.functions
Class Hlookup

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Hlookup

All Implemented Interfaces:
  Function, Function3Arg, Function4Arg

    public final class Hlookup

extends java.lang.Object

Implementation of the HLOOKUP() function.

HLOOKUP finds a column in a lookup table by the first row value and returns the value from another row.
Syntax:
HLOOKUP(lookup_value, table_array, row_index_num, range_lookup)

lookup_value The value to be found in the first column of the table array.
table_array An area reference for the lookup data.
row_index_num a 1 based index specifying which row value of the lookup data will be returned.
range_lookup If TRUE (default), HLOOKUP finds the largest value less than or equal to the lookup_value. If FALSE, only exact matches will be considered

Author:
  Josh Micich

Constructor Summary
`Hlookup()`

Method Summary
`ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2)` see `Function.evaluate(ValueEval[], int, int)`
`ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2, ValueEval arg3)` see `Function.evaluate(ValueEval[], int, int)`
`ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hlookup

    public Hlookup()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1,
                              ValueEval arg2)

  Description copied from interface: `Function3Arg`
  see `Function.evaluate(ValueEval[], int, int)`

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1,
                              ValueEval arg2,
                              ValueEval arg3)

  Description copied from interface: `Function4Arg`
  see `Function.evaluate(ValueEval[], int, int)`

### evaluate

    public final ValueEval evaluate(ValueEval[] args,
                                    int srcRowIndex,
                                    int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD